class __declspec(dllexport) IconsStuff
{
	public:
		bool GetSystemImageList();
		void AddIcons(TImageList*);
		vector<int> GetTransparent() {return this->transparent;}
		void EraseFromTransparent(int);
    IconsStuff();
	private:
    HMODULE hShell32;
		HIMAGELIST hLarge;
		vector<int> transparent;
		HIMAGELIST hSmall;

};
